Talkr AI
API ReferenceKnowledge BaseCollections

Create a Collection

Create a new knowledge base collection

Empty on creation — add documents to it via Add a document from a URL or the upload flow, passing this collection's collection_uuid.

POST
/api/v1/knowledge-base/collections

Header Parameters

authorization?string|null
X-API-Key?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request schema for creating a knowledge base collection.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/knowledge-base/collections" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "collection_uuid": "string",  "name": "string",  "description": "string",  "is_default": true,  "document_count": 0,  "created_at": "2019-08-24T14:15:22Z"}